# `abacusai.eda_version`

## Module Contents

### Classes

`EdaVersion` | A version of an eda object

class abacusai.eda_version.EdaVersion(client, edaVersion=None, status=None, edaId=None, edaStartedAt=None, edaCompletedAt=None, referenceFeatureGroupVersion=None, testFeatureGroupVersion=None, error=None)

  Bases: `abacusai.return_class.AbstractApiClass`

  A version of an eda object

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - edaVersion (str) – The unique identifier of a eda version.

    - status (str) – The current status of the eda object.

    - edaId (str) – A reference to the eda this version belongs to.

    - edaStartedAt (str) – The start time and date of the eda process.

    - edaCompletedAt (str) – The end time and date of the eda process.

    - referenceFeatureGroupVersion (list[str]) – Feature group version IDs that this refresh pipeline run is analyzing.

    - testFeatureGroupVersion (list[str]) – Feature group version IDs that this refresh pipeline run is analyzing.

    - error (str) – Relevant error if the status is FAILED.

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict

  refresh()

    Calls describe and refreshes the current object’s fields

    Returns:

      The current object

    Return type:

      EdaVersion

  describe()

    Retrieves a full description of the specified EDA version.

    Parameters:

      eda_version (str) – Unique string identifier of the EDA version.

    Returns:

      An EDA version.

    Return type:

      EdaVersion

  delete()

    Deletes the specified EDA version.

    Parameters:

      eda_version (str) – Unique string identifier of the EDA version to delete.

  get_eda_collinearity()

    Gets the Collinearity between all features for the Exploratory Data Analysis.

    Parameters:

      eda_version (str) – Unique string identifier associated with the EDA instance.

    Returns:

      An object with a record of correlations between each feature for the EDA.

    Return type:

      EdaCollinearity

  get_eda_data_consistency(transformation_feature=None)

    Gets the data consistency for the Exploratory Data Analysis.

    Parameters:

      transformation_feature (str) – The transformation feature to get consistency for.

    Returns:

      Object with duplication, deletion, and transformation data for data consistency analysis for an EDA.

    Return type:

      EdaDataConsistency

  get_collinearity_for_feature(feature_name=None)

    Gets the Collinearity for the given feature from the Exploratory Data Analysis.

    Parameters:

      feature_name (str) – Name of the feature for which correlation is shown.

    Returns:

      Object with a record of correlations for the provided feature for an EDA.

    Return type:

      EdaFeatureCollinearity

  get_feature_association(reference_feature_name, test_feature_name)

    Gets the Feature Association for the given features from the feature group version within the eda_version.

    Parameters:

      - reference_feature_name (str) – Name of the feature for feature association (on x-axis for the plots generated for the Feature association in the product).

      - test_feature_name (str) – Name of the feature for feature association (on y-axis for the plots generated for the Feature association in the product).

    Returns:

      An object with a record of data for the feature association between the two given features for an EDA version.

    Return type:

      EdaFeatureAssociation

  get_eda_forecasting_analysis()

    Gets the Forecasting analysis for the Exploratory Data Analysis.

    Parameters:

      eda_version (str) – Unique string identifier associated with the EDA version.

    Returns:

      Object with forecasting analysis that includes sales_across_time, cummulative_contribution, missing_value_distribution, history_length, num_rows_histogram, product_maturity data.

    Return type:

      EdaForecastingAnalysis

  wait_for_eda(timeout=1200)

    A waiting call until eda version is ready.

    Parameters:

      timeout (int, optional) – The waiting time given to the call to finish, if it doesn’t finish by the allocated time, the call is said to be timed out.

  get_status()

    Gets the status of the eda version.

    Returns:

      A string describing the status of the model monitor version, for e.g., pending, complete, etc.

    Return type:

      str